package com.zjrs.zwnw.portal.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.portal.blo.FbglBLO;
import com.zjrs.zwnw.portal.bpo.FbglBPO;
import com.zjrs.zwnw.portal.dto.*;
import com.zjrs.zwnw.portal.po.VRrsSyXxlxzwPO;
import com.zjrs.zwnw.portal.po.VRsSyZskPO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

@Service
public class FbglBPOimpl extends BPOImpl implements FbglBPO {

    @Resource
    private FbglBLO fbglBLO;

    @Override
    public String saveFbglZw(SaveFbglZwDTO dto) {
        return fbglBLO.saveFbglZw(dto);
    }

    @Override
    public void saveFbglFj(SaveFbglFjDTO dto) {
        fbglBLO.saveFbglFj(dto);
    }

    @Override
    public void delFbglFj(CommonFbglDTO dto) {
        fbglBLO.delFbglFj(dto);
    }

    @Override
    public PageResult getFbglFjList(GetFbglFjListDTO dto) {
        return fbglBLO.getFbglFjList(dto);
    }

    @Override
    public VRrsSyXxlxzwPO getFbglZw(CommonFbglDTO dto) {
        return fbglBLO.getFbglZw(dto);
    }

    @Override
    public PageResult getFbglList(GetFbglListDTO dto) {
        return fbglBLO.getFbglList(dto);
    }

    @Override
    public PageResult getfbglNr(GetFbglListDTO dto) {
        return fbglBLO.getfbglNr(dto);
    }

    @Override
    public void updateFbglFbzt(ChangeFbglDTO dto) {
        fbglBLO.updateFbglFbzt(dto);
    }

    @Override
    public void updateFbglZdzt(ChangeFbglDTO dto) {
        fbglBLO.updateFbglZdzt(dto);
    }

    @Override
    public void delFbgl(CommonFbglDTO dto) {
        fbglBLO.delFbgl(dto);
    }

    @Override
    public PageResult getYjfkList(GetYjfkListDTO dto) {
        return fbglBLO.getYjfkList(dto);
    }

    @Override
    public Map getYjfk(String id) {
        return fbglBLO.getYjfk(id);
    }

    @Override
    public String saveYjfk(SaveYjfkDTO dto) {
        return fbglBLO.saveYjfk(dto);
    }

    @Override
    public PageResult getZskList(ZskQueryDTO dto) {
        return fbglBLO.getZskList(dto);
    }

    @Override
    public VRsSyZskPO saveZsk(ZskDTO dto) {
        return fbglBLO.saveZsk(dto);
    }

    @Override
    public void deleteZsk(ZskDTO dto) {
        fbglBLO.deleteZsk(dto);
    }

    @Override
    public void publishZsk(ZskDTO dto) {
        fbglBLO.publishZsk(dto);
    }

    @Override
    public VRsSyZskPO getZskXxById(ZskDTO dto) {
        return fbglBLO.getZskXxById(dto);
    }

    @Override
    public void exportZsk(ZskQueryDTO dto, HttpServletResponse res) {
        fbglBLO.exportZsk(dto,res);
    }

    @Override
    public List<Map<String, Object>> getZskFileList(ZskQueryDTO dto) {
        return  fbglBLO.getZskFileList(dto);
    }
}
